<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Restart</title>
    <meta name='description' content='Authentication app'>
    <meta name='keywords' content='rkvac, smart-card authentication'>
    <meta name='robots' content='all'>
    <link href='/img/favicon2.png' rel='shortcut icon' type='image/png'>
    <meta http-equiv="refresh" content="100; url=/admin/settings" />
    <style>
*{
	padding: 0;
	margin: 0;
	font-family: sans-serif;
}
body {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	flex-direction: column;
}

#myProgress {
	width: 100%;
	max-width: 700px;
	background: #ddd;
}
#myBar {
	width: 0%;
	height: 40px;
	line-height: 40px;
	background: #007bff;
	text-align: center;
	color: #fff;
}
.mb-4{margin-bottom:1.5rem!important}

</style>
</head>
<body>
<img class="mb-4" src="/img/favicon2.png" alt="" width="72" height="72">
<br>
<h3>Restarting...</h3>
<div id="myProgress">
    <div id="myBar"></div>
</div>


<script>
window.onload(run());
		function run(){
			const myBar = document.getElementById('myBar');
			var width = 0;
			var timeInt = setInterval(frame, 1000);

			function frame(){
				if (width >= 100) {
					clearInterval(timeInt);
				}else {
					width++;
					myBar.style.width = width + '%';
					myBar.innerHTML = width + '%';
				}
			}
	    }
	</script>
</body>
</html>